<!-- The form for creating a new match. -->

{% extends 'main/base.html' %}
{% load static %}

{% block stylesheets %}
<link rel="stylesheet" href="{% static 'scouting/css/forms.css' %}">
{% endblock %}

{% block nav_home %} class="button" {% endblock %}
{% block nav_scouting %} class="button-selected" {% endblock %}
{% block nav_contact %} class="button" {% endblock %}
{% block nav_sign-in %} class="button" {% endblock %}

{% block content %}

<div class = "body"> 
    <a href="{% url 'scouting:index' %}" class = "match-button"> <i class="fas fa-caret-left"></i> Back to Index</a>

    {% if form %} 
        <div class = "match-info">  Basic Information </div>
        <form action="" method="post">
            {% csrf_token %}

            <div>
                {% for field in form %}
                    {{ field.label }}
                    {{ field.errors}}
                {% endfor %}
            </div>
                
            <div class = "content-block"> 
                <div class = "text-forms"> <label for="{{ form.Scouter.id_for_label }}" >Scouter: </label> {{ form.Scouter }} </div>
                
                <div class = "text-forms"> <label for="{{ form.Competiton.id_for_label }}">Competition: </label> {{ form.Competition }} </div>
                      
                <div class = "text-forms"> <label for="{{ form.Team.id_for_label }}">Team: </label> {{ form.Team }} </div>
                
                <div class = "text-forms"> <label for="{{ form.MatchNum.id_for_label }}">Match Number: </label> {{ form.MatchNum }} </div>
            
            </div>
            
            <h1 class = "match-info">Autonomous</h1>
                 
                   
                    <label for="{{ form.Initiation_Line.id_for_label }}" class = "start">Initiation Line: </label> <div class = "start-radio"> {{ form.Initiation_Line }}  </div> <br>
                        
                    <label for="{{ form.Initiation_Line.id_for_label }}" class = "start">Direction: </label> <div class = "start-radio"> {{ form.Direction }}  </div> <br>
                        
                    <div class = "content-block"> 
                       
                        <label for="{{ form.Lower_Port_Auto.id_for_label }}">Lower Port: </label> {{ form.Lower_Port_Auto }} <br>

                        <label for="{{ form.Outer_Port_Auto.id_for_label }}">Outer Port: </label> {{ form.Outer_Port_Auto }} <br>
                        
                        <label for="{{ form.Inner_Port_Auto.id_for_label }}">Inner Port: </label> {{ form.Inner_Port_Auto }} <br>
                        
                    </div>
             
            <h1 class = "match-info"> Teleop</h1>
                       
                        <label for="{{ form.Lower_Port.id_for_label }}">Lower Port: </label> {{ form.Lower_Port }} <br>

                        <label for="{{ form.Outer_Port.id_for_label }}">Outer Port: </label> {{ form.Outer_Port }} <br>
                       
                        <label for="{{ form.Lower_Port.id_for_label }}">Inner Port: </label> {{ form.Inner_Port }} <br>

                        <label for="{{ form.CP_Position.id_for_label }}">Control Panel Position: </label> {{ form.CP_Position }} <br>
                        
                        <label for="{{ form.CP_Rotation.id_for_label }}">Control Panel Rotation: </label> {{ form.CP_Rotation }} <br>
                   

           
                    <h1 class = "match-info">Endgame</h1>
                    
                    <div class = "climb-container"> 
                        <label for="{{ form.Climb.id_for_label }}" class = "climb">Climb: </label> <div class = "climb-radio"> {{ form.Climb }} </div> <br>
                    </div>
                        <label for="{{ form.DidLevel.id_for_label }}" class = "climb">Level?: </label> <div class = "climb-radio"> {{ form.DidLevel }} </div> <br>
                    
                        <label for="{{ form.Comments.id_for_label }}"> </label>
                        {{ form.Comments }}


            <br>
            <input type="submit" id="submit" value="Submit">
        </form>
        
        <p></p>
    {% else %}
        <p>An error has occurred in the form. Contact programming.
        
        Super-special programming magic spell: The form is attempting to create a model with the incorrect form.</p>
    {% endif %}

</div> 
{% endblock %}
